Bug 76622 - Errata 2.4.18-17.7.x: IDE DMA Problems
Errata 2.4.18-17.7.x: IDE DMA Problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-24 06:12 EDT by Mario Lorenz
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Lorenz 2002-10-24 06:12:45 EDT
Description of Problem:

After updating to the 2.4.18-17.7.x Errata kernel, I see several
messages like this in the syslog:
Oct 21 11:16:32 station159 kernel: hdc: dma_intr: error=0x84 { DriveStatusError
BadCRC }
Oct 21 11:16:32 station159 kernel: hdc: dma_intr: status=0x51 { DriveReady
SeekComplete Error }

Switching back to the old 2.4.9-34 kernel and everything looks fine.
I thus assume my Hardware to be OK (yes, its a 80pin UDMA cable)

Version-Release number of selected component (if applicable):

2.4.18-17.7.x

How Reproducible:
Almost always

Steps to Reproduce:
1. Reboot machine using 2.4.18-17.7 kernel
2. 
3. 

Actual Results:
IDE DMA error messages as above

Expected Results:
No error messages, as in 2.4.9-34


Additional Information:

Used hardware (as taken running 2.4.9-34)

[root@station159 log]# /sbin/hdparm -i /dev/hdc

/dev/hdc:

 Model=QUANTUM FIREBALLlct08 17, FwRev=A05.0X00, SerialNo=394935025980
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=16383/16/63, TrkSize=32256, SectSize=21298, ECCbytes=4
 BuffType=DualPortCache, BuffSize=418kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=-66060037, LBA=yes, LBAsects=33906432
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: mdma0 mdma1 mdma2 udma0 udma1 *udma2 
 AdvancedPM=no
 Drive Supports : ATA/ATAPI-4 T13 1153D revision 15 : ATA-1 ATA-2 ATA-3 ATA-4 

lspci -v:

00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-751 [Irongate] System
Controller (rev 25)
        Flags: bus master, medium devsel, latency 64
        Memory at e8000000 (32-bit, prefetchable) [size=32M]
        Memory at ebbff000 (32-bit, prefetchable) [size=4K]
        I/O ports at dc00 [disabled] [size=4]
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-751 [Irongate] AGP Bridge
(rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: ebc00000-edcfffff
        Prefetchable memory behind bridge: e3a00000-e7afffff
[...]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 1b)
        Subsystem: VIA Technologies, Inc. VT82C686/A PCI to ISA Bridge
        Flags: bus master, stepping, medium devsel, latency 0

00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06) (prog-if
8a [Master SecP PriP])
        Flags: bus master, medium devsel, latency 32
        I/O ports at ffa0 [size=16]
        Capabilities: [c0] Power Management version 2

excerpt from dmesg:

ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz PCI bus speed for PIO modes; overridewith idebus=xx
VP_IDE: VIA vt82c686a (rev 1b) IDE UDMA66 controller on pci00:07.1
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:DMA
hdc: QUANTUM FIREBALLlct08 17, ATA DISK drive
hdd: ATAPI 44X CDROM, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hdc: 33906432 sectors (17360 MB) w/418KiB Cache, CHS=33637/16/63, UDMA(33)
Partition check:
 hdc: [PTBL] [2110/255/63] hdc1 hdc2 < hdc5 hdc6 hdc7 hdc8 hdc9 hdc10 hdc11 >

/etc/sysconfig/harddisks: Default as shipped, no extra parameters, no manual
enabling of DMA etc.
Comment 1 Arjan van de Ven 2002-10-24 06:14:42 EDT
BadCRC indicates a cable problem ;(
Comment 2 Mario Lorenz 2002-10-24 07:12:05 EDT
While I can of course not entirely rule out a hardware problem,
I don't have a reasonable explanation why under 2.4.9, this error
doesnt happen.I have even exchanged the cable, to no avail.

Mind: This is only UDMA/33, it should not even need the
80 wire cable...
Comment 3 Bugzilla owner 2004-09-30 11:40:07 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.